\documentclass[border=3pt]{standalone}

\usepackage{tikz}  
\usepackage{tikz-3dplot} 

\begin{document}

\begin{tikzpicture}
    
    \node[inner sep=0pt] (T1) at (-7,0) {\includegraphics[width=0.5\textwidth]{./t=0.png}};
    \node[inner sep=0pt] (T2) at (-2.5,0) {\includegraphics[width=0.5\textwidth]{./t=2.png}};
    \node[inner sep=0pt] (T3) at (1,0) {\includegraphics[width=0.5\textwidth]{./t=4.png}};
    \node[inner sep=0pt] (T4) at (5,0) {\includegraphics[width=0.5\textwidth]{./t=6.png}};
    \node[inner sep=0pt] (T5) at (10,0) {\includegraphics[width=0.5\textwidth]{./t=8.png}};
    \node[inner sep=0pt] (T6) at (15,0) {\includegraphics[width=0.5\textwidth]{./t=10.png}};

    \draw[->,thick] (-8,-2) to (15,-2);


\end{tikzpicture}
\end{document}